﻿using Microsoft.Extensions.DependencyInjection;
using RPG.GameCore.Resources;

namespace RPG.GameCore.Extensions;

public static class ServiceCollectionExtensions
{
    public static IServiceCollection UseLocalResources(this IServiceCollection services)
    {
        return services.AddSingleton<IResourceProvider, LocalResourceProvider>();
    }
}
