﻿using System.Text.Json.Serialization;

namespace RPG.GameCore.Level.Trigger;

public class LevelTriggerInfo
{
    [JsonConverter(typeof(JsonStringEnumConverter))]
    public TriggerShape Shape { get; set; } // 0x10
    public float Radius { get; set; } // 0x14
    public float DimX { get; set; } // 0x18
    public float DimY { get; set; } // 0x1C
    public float DimZ { get; set; } // 0x20
    public uint[] TargetCamps { get; set; } = []; // 0x28
    public int TriggerTimes { get; set; } // 0x30
    public float CD { get; set; } // 0x34
    public MVector3? Offset { get; set; } // 0x38
    public bool Server { get; set; } // 0x44
}
