﻿namespace RPG.Network.Proto;
public enum CmdType
{
    CmdTypeNone = 0,
    CmdPlayerLoginCsReq = 1,
    CmdPlayerLoginScRsp = 2,
    CmdPlayerLogoutCsReq = 3,
    CmdPlayerLogoutScRsp = 4,
    CmdPlayerGetTokenCsReq = 5,
    CmdPlayerGetTokenScRsp = 6,
    CmdPlayerKeepAliveNotify = 7,
    CmdGmTalkScNotify = 8,
    CmdPlayerKickOutScNotify = 9,
    CmdGmTalkCsReq = 10,
    CmdGmTalkScRsp = 11,
    CmdGetStaminaExchangeCsReq = 12,
    CmdGetStaminaExchangeScRsp = 13,
    CmdExchangeStaminaCsReq = 14,
    CmdExchangeStaminaScRsp = 15,
    CmdGetAuthkeyCsReq = 16,
    CmdGetAuthkeyScRsp = 17,
    CmdRegionStopScNotify = 18,
    CmdAntiAddictScNotify = 19,
    CmdSetNicknameCsReq = 20,
    CmdSetNicknameScRsp = 21,
    CmdGetLevelRewardTakenListCsReq = 22,
    CmdGetLevelRewardTakenListScRsp = 23,
    CmdGetLevelRewardCsReq = 24,
    CmdGetLevelRewardScRsp = 25,
    CmdSyncTimeCsReq = 26,
    CmdSyncTimeScRsp = 27,
    CmdSetLanguageCsReq = 28,
    CmdSetLanguageScRsp = 29,
    CmdServerAnnounceNotify = 30,
    CmdPVEBattleResultCsReq = 101,
    CmdPVEBattleResultScRsp = 102,
    CmdQuitBattleCsReq = 103,
    CmdQuitBattleScRsp = 104,
    CmdGetCurBattleInfoCsReq = 105,
    CmdGetCurBattleInfoScRsp = 106,
    CmdSyncClientResVersionCsReq = 107,
    CmdSyncClientResVersionScRsp = 108,
    CmdGetStageDataCsReq = 201,
    CmdGetStageDataScRsp = 202,
    CmdStageBeginCsReq = 203,
    CmdStageBeginScRsp = 204,
    CmdGetAvatarDataCsReq = 301,
    CmdGetAvatarDataScRsp = 302,
    CmdAvatarExpUpCsReq = 303,
    CmdAvatarExpUpScRsp = 304,
    CmdUnlockSkilltreeCsReq = 305,
    CmdUnlockSkilltreeScRsp = 306,
    CmdPromoteAvatarCsReq = 307,
    CmdPromoteAvatarScRsp = 308,
    CmdDressAvatarCsReq = 309,
    CmdDressAvatarScRsp = 310,
    CmdTakeOffEquipmentCsReq = 311,
    CmdTakeOffEquipmentScRsp = 312,
    CmdAddAvatarScNotify = 313,
    CmdGetWaypointCsReq = 401,
    CmdGetWaypointScRsp = 402,
    CmdSetCurWaypointCsReq = 403,
    CmdSetCurWaypointScRsp = 404,
    CmdGetChapterCsReq = 405,
    CmdGetChapterScRsp = 406,
    CmdWaypointShowNewCsNotify = 407,
    CmdTakeChapterRewardCsReq = 408,
    CmdTakeChapterRewardScRsp = 409,
    CmdGetBagCsReq = 501,
    CmdGetBagScRsp = 502,
    CmdPromoteEquipmentCsReq = 503,
    CmdPromoteEquipmentScRsp = 504,
    CmdLockEquipmentCsReq = 505,
    CmdLockEquipmentScRsp = 506,
    CmdUseItemCsReq = 507,
    CmdUseItemScRsp = 508,
    CmdRankUpEquipmentCsReq = 509,
    CmdRankUpEquipmentScRsp = 510,
    CmdExpUpEquipmentCsReq = 511,
    CmdExpUpEquipmentScRsp = 512,
    CmdUseItemFoodCsReq = 513,
    CmdUseItemFoodScRsp = 514,
    CmdComposeItemCsReq = 515,
    CmdComposeItemScRsp = 516,
    CmdPlayerSyncScNotify = 601,
    CmdGetStageLineupCsReq = 701,
    CmdGetStageLineupScRsp = 702,
    CmdGetCurLineupDataCsReq = 703,
    CmdGetCurLineupDataScRsp = 704,
    CmdJoinLineupCsReq = 705,
    CmdJoinLineupScRsp = 706,
    CmdQuitLineupCsReq = 707,
    CmdQuitLineupScRsp = 708,
    CmdSwapLineupCsReq = 709,
    CmdSwapLineupScRsp = 710,
    CmdSyncLineupNotify = 711,
    CmdGetLineupAvatarDataCsReq = 712,
    CmdGetLineupAvatarDataScRsp = 713,
    CmdChangeLineupLeaderCsReq = 714,
    CmdChangeLineupLeaderScRsp = 715,
    CmdSwitchLineupIndexCsReq = 716,
    CmdSwitchLineupIndexScRsp = 717,
    CmdSetLineupNameCsReq = 718,
    CmdSetLineupNameScRsp = 719,
    CmdGetAllLineupDataCsReq = 720,
    CmdGetAllLineupDataScRsp = 721,
    CmdVirtualLineupDestroyNotify = 722,
    CmdGetMailCsReq = 801,
    CmdGetMailScRsp = 802,
    CmdMarkReadMailCsReq = 803,
    CmdMarkReadMailScRsp = 804,
    CmdDelMailCsReq = 805,
    CmdDelMailScRsp = 806,
    CmdTakeMailAttachmentCsReq = 807,
    CmdTakeMailAttachmentScRsp = 808,
    CmdNewMailScNotify = 809,
    CmdGetQuestDataCsReq = 901,
    CmdGetQuestDataScRsp = 902,
    CmdTakeQuestRewardCsReq = 903,
    CmdTakeQuestRewardScRsp = 904,
    CmdGetMazeCsReq = 1001,
    CmdGetMazeScRsp = 1002,
    CmdChooseMazeSeriesCsReq = 1003,
    CmdChooseMazeSeriesScRsp = 1004,
    CmdChooseMazeAbilityCsReq = 1005,
    CmdChooseMazeAbilityScRsp = 1006,
    CmdEnterMazeCsReq = 1007,
    CmdEnterMazeScRsp = 1008,
    CmdMazeBuffScNotify = 1011,
    CmdCastMazeSkillCsReq = 1012,
    CmdCastMazeSkillScRsp = 1013,
    CmdMazePlaneEventScNotify = 1014,
    CmdEnterMazeByServerScNotify = 1015,
    CmdGetMazeMapInfoCsReq = 1016,
    CmdGetMazeMapInfoScRsp = 1017,
    CmdFinishPlotCsReq = 1101,
    CmdFinishPlotScRsp = 1102,
    CmdGetMissionDataCsReq = 1201,
    CmdGetMissionDataScRsp = 1202,
    CmdFinishTalkMissionCsReq = 1203,
    CmdFinishTalkMissionScRsp = 1204,
    CmdMissionRewardScNotify = 1205,
    CmdSyncTaskCsReq = 1206,
    CmdSyncTaskScRsp = 1207,
    CmdDailyTaskDataScNotify = 1208,
    CmdTakeDailyTaskExtraRewardCsReq = 1209,
    CmdTakeDailyTaskExtraRewardScRsp = 1210,
    CmdDailyTaskRewardScNotify = 1211,
    CmdMissionGroupWarnScNotify = 1212,
    CmdFinishCosumeItemMissionCsReq = 1213,
    CmdFinishCosumeItemMissionScRsp = 1214,
    CmdEnterAdventureCsReq = 1301,
    CmdEnterAdventureScRsp = 1302,
    CmdSceneEntityMoveCsReq = 1401,
    CmdSceneEntityMoveScRsp = 1402,
    CmdInteractPropCsReq = 1403,
    CmdInteractPropScRsp = 1404,
    CmdSceneCastSkillCsReq = 1405,
    CmdSceneCastSkillScRsp = 1406,
    CmdGetCurSceneInfoCsReq = 1407,
    CmdGetCurSceneInfoScRsp = 1408,
    CmdSceneEntityUpdateScNotify = 1409,
    CmdSceneEntityDisappearScNotify = 1410,
    CmdSceneEntityMoveScNotify = 1411,
    CmdWaitCustomStringCsReq = 1412,
    CmdWaitCustomStringScRsp = 1413,
    CmdSpringTransferCsReq = 1414,
    CmdSpringTransferScRsp = 1415,
    CmdUpdateBuffScNotify = 1416,
    CmdDelBuffScNotify = 1417,
    CmdSpringRefreshCsReq = 1418,
    CmdSpringRefreshScRsp = 1419,
    CmdLastSpringRefreshTimeNotify = 1420,
    CmdReturnLastTownCsReq = 1421,
    CmdReturnLastTownScRsp = 1422,
    CmdSceneEnterStageCsReq = 1423,
    CmdSceneEnterStageScRsp = 1424,
    CmdEnterSectionCsReq = 1427,
    CmdEnterSectionScRsp = 1428,
    CmdSetCurInteractEntityCsReq = 1431,
    CmdSetCurInteractEntityScRsp = 1432,
    CmdRecoverAllLineupCsReq = 1433,
    CmdRecoverAllLineupScRsp = 1434,
    CmdSavePointsInfoNotify = 1435,
    CmdStartCocoonStageCsReq = 1436,
    CmdStartCocoonStageScRsp = 1437,
    CmdEntityBindPropCsReq = 1438,
    CmdEntityBindPropScRsp = 1439,
    CmdSetClientPausedCsReq = 1440,
    CmdSetClientPausedScRsp = 1441,
    CmdPropBeHitCsReq = 1442,
    CmdPropBeHitScRsp = 1443,
    CmdGetShopListCsReq = 1501,
    CmdGetShopListScRsp = 1502,
    CmdBuyGoodsCsReq = 1503,
    CmdBuyGoodsScRsp = 1504,
    CmdGetTutorialCsReq = 1601,
    CmdGetTutorialScRsp = 1602,
    CmdGetTutorialGuideCsReq = 1603,
    CmdGetTutorialGuideScRsp = 1604,
    CmdUnlockTutorialCsReq = 1605,
    CmdUnlockTutorialScRsp = 1606,
    CmdUnlockTutorialGuideCsReq = 1607,
    CmdUnlockTutorialGuideScRsp = 1608,
    CmdFinishTutorialCsReq = 1609,
    CmdFinishTutorialScRsp = 1610,
    CmdFinishTutorialGuideCsReq = 1611,
    CmdFinishTutorialGuideScRsp = 1612,
    CmdGetChallengeCsReq = 1701,
    CmdGetChallengeScRsp = 1702,
    CmdStartChallengeCsReq = 1703,
    CmdStartChallengeScRsp = 1704,
    CmdLeaveChallengeCsReq = 1705,
    CmdLeaveChallengeScRsp = 1706,
    CmdChallengeSettleNotify = 1707,
    CmdFinishChallengeCsReq = 1708,
    CmdFinishChallengeScRsp = 1709
}