﻿using RPG.Network.Proto;
using RPG.Services.Gameserver.Session;

namespace RPG.Services.Gameserver.Game.Entity;

internal interface IEntityEventListener
{
    PlayerSession? Session { get; set; }

    Task OnRemoveEntities(IEnumerable<uint> ids);
    Task OnUpdateEntity(SceneEntityInfo entity);
    Task OnEntityMoveByServer(uint entityId, MotionInfo motion);
}
