﻿using RPG.GameCore.Level.Objects;
using RPG.GameCore.Util;
using RPG.Network.Proto;

namespace RPG.Services.Gameserver.Game.Util;

internal static class MazeUtil
{
    public static MotionInfo CreateDefaultMotion(NamedLevelObjectInfo info)
    {
        return new()
        {
            Pos = new()
            {
                X = MathUtil.GetLogicCoordValue(info.PosX),
                Y = MathUtil.GetLogicCoordValue(info.PosY),
                Z = MathUtil.GetLogicCoordValue(info.PosZ)
            },
            Rot = new()
            {
                Y = MathUtil.GetLogicCoordValue(info.RotY)
            }
        };
    }
}
