﻿using RPG.Network.Proto;
using RPG.Services.Gameserver.Modules.Attributes;
using RPG.Services.Gameserver.Session;

namespace RPG.Services.Gameserver.Modules;
internal class ChallengeModule : BaseModule
{
    public ChallengeModule(ModuleManager moduleManager) : base(moduleManager)
    {
    }

    [OnCommand(CmdType.CmdGetChallengeCsReq)]
    public Task OnCmdGetChallengeCsReq(PlayerSession session, ReadOnlyMemory<byte> _)
    {
        Send(session, CmdType.CmdGetChallengeScRsp, new GetChallengeScRsp
        {
            Retcode = 0,
            ChallengeList = { }
        });

        return Task.CompletedTask;
    }
}
