﻿using Microsoft.AspNetCore.Http.HttpResults;
using RPG.Services.SDK.Models.Auth;

namespace RPG.Services.SDK.Handlers;

public static class AuthHandler
{
    public static JsonHttpResult<MdkLoginRsp> LoginWithPassword(string productName)
    {
        _ = productName;

        return TypedResults.Json(new MdkLoginRsp
        {
            Retcode = 0,
            Message = "OK",
            Data = new MdkLoginRsp.LoginData
            {
                Account = new MdkLoginRsp.MdkAccount
                {
                    Name = "Snowflake Player",
                    Token = "mostsecuretokenever",
                    Uid = "1337"
                }
            }
        });
    }

    public static JsonHttpResult<GranterVerificationRsp> OnGranterVerification(string productName)
    {
        _ = productName;

        return TypedResults.Json(new GranterVerificationRsp
        {
            Retcode = 0,
            Message = "OK",
            Data = new GranterVerificationRsp.GranterData
            {
                ComboId = 1,
                OpenId = 1337,
                ComboToken = "mostsecuretokenever",
                AccountType = 1
            }
        });
    }

    public static JsonHttpResult<RiskyApiCheckRsp> OnRiskyApiCheck()
    {
        return TypedResults.Json(new RiskyApiCheckRsp
        {
            Retcode = 0,
            Message = "OK",
            Data = new RiskyApiCheckRsp.Info
            {
                Id = "06611ed14c3131a676b19c0d34c0644b",
                Action = "ACTION_NONE"
            }
        });
    }
}
