﻿using System.Text.Json.Serialization;

namespace RPG.Services.SDK.Models.Region;

public record QueryGatewayHttpRsp
{
    [JsonPropertyName("asb_memo")]
    public string AsbMemo { get; set; } = string.Empty;

    [JsonPropertyName("asb_relogin")]
    public int AsbRelogin { get; set; }

    [JsonPropertyName("asset_bundle_url")]
    public string AssetBundleUrl { get; set; } = string.Empty;

    [JsonPropertyName("client_secret_key")]
    public string ClientSecretKey { get; set; } = string.Empty;

    [JsonPropertyName("design_data_memo")]
    public string DesignDataMemo { get; set; } = string.Empty;

    [JsonPropertyName("ex_resource_url")]
    public string ExResourceUrl { get; set; } = string.Empty;

    [JsonPropertyName("ext")]
    public required ExtAssetInfo Ext { get; set; }

    [JsonPropertyName("gateway")]
    public required GatewayInfo Gateway { get; set; }

    [JsonPropertyName("lua_url")]
    public string LuaUrl { get; set; } = string.Empty;

    [JsonPropertyName("region_name")]
    public required string RegionName { get; set; }

    [JsonPropertyName("retcode")]
    public required int Retcode { get; set; }

    [JsonPropertyName("message")]
    public required string Message { get; set; }

    [JsonPropertyName("stopBeginTime")]
    public int StopBeginTime { get; set; }

    [JsonPropertyName("stopEndTime")]
    public int StopEndTime { get; set; }
}
