﻿using RPG.GameCore.Level.AI;
using RPG.GameCore.Level.Graph;
using RPG.GameCore.Level.Trigger;

namespace RPG.GameCore.Level.Objects;

public class LevelNPCInfo : NamedLevelObjectInfo
{
    public uint NPCID { get; set; } // 0x40
    public string LevelGraph { get; set; } = string.Empty; // 0x48
    public bool CreateOnInitial { get; set; } // 0x50
    public LevelGraphValueSource? ValueSource { get; set; } // 0x58
    public uint CampID { get; set; } // 0x60
    public LevelTriggerInfo? Trigger { get; set; } // 0x68
    public AIConfigInfo? AIConfig { get; set; } // 0x70
    public uint RecordID { get; set; } // 0x78
    public uint EventID { get; set; } // 0x7C
    public bool Stable { get; set; } // 0x80
    public uint DialogueTriggerAngle { get; set; } // 0x84
    public uint[] DialogueGroups { get; set; } = []; // 0x88
    public uint[] ServerInteractVerificationIDList { get; set; } = []; // 0x90
    public string DefaultIdleStateName { get; set; } = string.Empty; // 0x98
}
