﻿using System.Text.Json;

namespace RPG.GameCore.Resources;

public interface IResourceProvider
{
    IEnumerable<string> EnumerateAllLevelFloorAssets();
    JsonDocument GetExcelTableJson(string file);
    JsonDocument GetJsonAsset(string file);
}