﻿using RPG.Network.Proto;

namespace RPG.Services.Gameserver.Game.Team;

internal class TeamMember
{
    public uint AvatarId { get; }
    public AvatarType AvatarType { get; }
    public uint Slot { get; }
    public uint Hp { get; set; }
    public uint Sp { get; set; }
    public uint Satiety { get; set; }

    public TeamMember(uint avatarId, AvatarType avatarType, uint slot)
    {
        AvatarId = avatarId;
        AvatarType = avatarType;
        Slot = slot;

        Hp = 10000;
        Sp = 10000;
        Satiety = 100;
    }

    public LineupAvatar LineupAvatarInfo => new()
    {
        Id = AvatarId,
        AvatarType = AvatarType,
        Hp = Hp,
        Sp = Sp,
        Satiety = Satiety,
        Slot = Slot,
        SkillCastCnt = 0
    };
}
