﻿using RPG.Network.Proto;
using RPG.Services.Gameserver.Modules.Attributes;
using RPG.Services.Gameserver.Session;

namespace RPG.Services.Gameserver.Modules;
internal class MailModule : BaseModule
{
    public MailModule(ModuleManager moduleManager) : base(moduleManager)
    {
    }

    [OnCommand(CmdType.CmdGetMailCsReq)]
    public Task OnCmdGetMailCsReq(PlayerSession session, ReadOnlyMemory<byte> _)
    {
        Send(session, CmdType.CmdGetMailScRsp, new GetMailScRsp
        {
            Retcode = 0
        });

        return Task.CompletedTask;
    }
}
