﻿using System.Text.Json.Serialization;

namespace RPG.Services.SDK.Models.Auth;

public record RiskyApiCheckRsp
{
    [JsonPropertyName("retcode")]
    public required int Retcode { get; init; }

    [JsonPropertyName("message")]
    public required string Message { get; init; }

    [JsonPropertyName("data")]
    public required Info Data { get; init; }

    public record Info
    {
        [JsonPropertyName("id")]
        public required string Id { get; init; }

        [JsonPropertyName("action")]
        public required string Action { get; init; }
    }
}
